
User Interface - Bug #2679

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

window borders should have a 3D appearance

09/03/2015 04:43 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/03/2015 04:48 PM - Greg Shah

- File ask_gui_post_run_of_hello.p_4gl_20150903.png added

- File ask_gui_post_run_of_hello.p_p2j_web_and_swing_20150903.png added

At this time we are only going to implement support for the look of the windows classic theme.

Attached is an example of the difference.

 

The 4GL version:
#2 - 09/03/2015 05:22 PM - Hynek Cihlar

In fact, not only windows are missing the 3D effect. Other controls as well - window caption buttons, scroll bars, buttons, and likely others.

#3 - 09/14/2015 05:56 PM - Greg Shah

The caption button 3D highlights seem to be the same.  Selected buttons have some differences which are being resolved in #2715.  We will deal with

scroll bar differences elsewhere.

#4 - 10/07/2015 01:47 PM - Greg Shah

- Assignee set to Eugenie Lyzenko

- Target version set to Milestone 12

Please put your changes into task branch 1811r.

#5 - 10/08/2015 12:37 PM - Greg Shah

- Status changed from New to Closed

I've tested the changes in branch 1811r revision 10962 and they do indeed resolve this issue.

#6 - 11/10/2015 04:51 AM - Greg Shah

- % Done changed from 0 to 100

#7 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

ask_gui_post_run_of_hello.p_p2j_web_and_swing_20150903.png 11.1 KB 09/03/2015 Greg Shah

ask_gui_post_run_of_hello.p_4gl_20150903.png 2.8 KB 09/03/2015 Greg Shah
